Subject: Re: [GSoC update] git-remote-svn: Week 11

From: Stefan Sperling <[email-masked]>
Date: Wed, 14 Jul 2010 10:58:22 +0200

On Mon, Jul 12, 2010 at 04:39:51PM +0100, Will Palmer wrote:
> On Mon, 2010-07-12 at 17:24 +0200, Stefan Sperling wrote:
> > Regarding compilation, take a look at tools/dev/unix-build/Makefile.svn
> This is all moot, because the whole point is that svndumpr compiles
> against libsvn, so you don't need the whole svn source-tree.

It's not moot. svndumpr may now or in the future be using API calls which
are specific to the Subversion 1.7 libraries, in which case you'll need
to compile Subversion from trunk to get compatible libraries until
1.7 is released. Maybe Ramkumar wants to maintain a 1.6.x-specific
version you can use, but that won't be living in our repository anyway.

Stefan